function dop=dopOverallDataFinish(dop)
% dopOSCCI Mark II: dopOverallDataFinish ~ 24-11-2010 (last edit)
%
% Includes functions:
%   dopOverallDataRead
%   dopGraphDataFileInfo
%   dopOverallDataVert
%   dopOverallDataCalc
%   dopOverallCalcSave
%   dopGraph
%

% -------------------------------------------------------------------------
%     'dopOSCCI' summarises functional transcranial Doppler ultrasonography
%     (fTCD) data.  The primary function of the software is to assess the
%     hemispheric lateralization of cognitive function.
%
%     Copyright (C) 2011 the Chancellor, Masters and Scholars of the
%     University of Oxford.
% 
%     This program is free software: you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation, either version 3 of the License, or
%     (at your option) any later version.
% 
%     This program is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <http://www.gnu.org/licenses/> 
%     or write to the Free Software Foundation, Inc., 51 Franklin Street,
%     Fifth Floor, Boston, MA 02110-1301, USA.
%
%     Authors: Nic Badcock, Georgina Holt, Anneka Holden, & Dorothy Bishop.
%       contact: nicholas.badcock@gmail.com
%
%     Type 'dopOSCCIlicense' for license details or see dopOSCCIlicense.txt
%
fprintf('%s\n',['Running ',mfilename]);
try
    if ~dop.sum.skip && ~dop.sum.quit
        %% directory
        if isfield(dop.sav,'graphDataDir')
            %% > import data
            dop.grd=dopOverallDataRead(dop.sav.graphDataDir,...
                dop.def.saveGraphDataChs,dop.def.saveGraphData);
            %% > file information
            % condition etc from file name
            for i=1:dop.grd.n
                dop.grd.info{i}=dopGraphDataFileInfo(dop.grd.fileList{i});
            end
            
            %% > vertical files
            dopOverallDataVert(dop);
            
            %% > index calculations?
            dop=dopOverallDataCalc(dop);
            
            %% > save data
            dop=dopOverallCalcSave(dop);
            
            %% > graph the data
            dop=dopGraph(dop,'Overall');
        else
            fprintf('\t%s\n\t\t%s\n',...
                '''dop.sav.graphDataDir'' doesn''t exist,',...
                'Therefore there aren''t any overall data files.');
        end
    end
catch err
    %% catch dopOSCCI error
    save(dopOSCCIdebug(mfilename));rethrow(err);
end